Plataformas y versiones compatibles con Apigee Hybrid

Plataformas compatibles

Apigee Hybrid admite las siguientes versiones de estas plataformas:

Versiones de Apigee Hybrid

Plataformas

1.5 1.6 1.7
Anthos(3) (Google Cloud) 1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.20.x
1.21.x
Anthos(3) (AWS) 1.6.x
1.7.x
1.8.x(1)
1.7.x
1.8.x(1)
1.9.3+
1.10.x
1.9.x
1.10.x
Anthos(3) (Azure) N/A 1.8.x 1.8.x
Anthos(3) (on-premises - VMware) 1.6.x
1.7.x
1.8.x(1)
1.7.x
1.8.x(1)
1.9.3+
1.10.x
1.9.x
1.10.x
Anthos(3) (Bare Metal) 1.6.x
1.7.x
1.7.x
1.8.2+
1.9.3+
1.10.x
1.9.x
1.10.x
Anthos(3) (clústeres conectados en múltiples nubes)
Versión de Kubernetes (EKS)
1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.20.x
1.21.x
Anthos(3) (clústeres conectados en múltiples nubes)
Versión de Kubernetes (AKS)
1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.20.x
1.21.x
Anthos(3) (clústeres conectados en múltiples nubes)
Versión de OpenShif
4.5
4.6
4.7
4.6
4.7
4.8
4.7
4.8
Anthos(3) (clústeres conectados en múltiples nubes)
Versión de Konvoy
1.7.x 1.7.x N/A

Componentes

1.5 1.6 1.7
Anthos Service Mesh (ASM)(2) 1.7.x
1.8.x
1.9.x
1.12.x (para Apigee Hybrid 1.5 a partir de la versión 1.5.9)
1.9.x
1.10.x
1.12.x (versión de Apigee Hybrid 1.6.6 y posterior)
1.10.x
1.11.x
1.12.x
JDK JDK 11 JDK 11 JDK 11
cert-manager 1.2.0 1.5.4 1.7.x
Cassandra 3.11.6 3.11.6 3.11.9

(1) En la versión 1.8.2 y en las posteriores, sigue las instrucciones de este documento: Conflicto con cert-manager cuando se actualiza a la versión 1.8.2 o superior

(2) Instala solo las versiones compatibles de ASM.

(3) Instala solo las versiones compatibles de Anthos.

Versiones compatibles

La asistencia para Apigee Hybrid sigue la política de compatibilidad de la versión del plano del entorno de ejecución. La política establece que las versiones secundarias de Apigee Hybrid son compatibles durante un máximo de nueve meses desde el lanzamiento original.

En la siguiente tabla, se muestran las versiones compatibles de Apigee Hybrid y la fecha del final del ciclo de vida (EOL) programada para una versión.

Versión Fecha de lanzamiento Fecha programada de EOL
1.7 2022-04-18 2023-01-18
1.6 2021-09-13 2022-09-13*
1.5 2021-06-18 2022-06-18*
*compatibilidad extendida

Si usas una versión no compatible de Apigee Hybrid, debes actualizar a una versión compatible. Para obtener información sobre cómo realizar la actualización, consulta Actualiza Apigee Hybrid.

En la siguiente tabla, se muestran las versiones no compatibles de Apigee Hybrid y su fecha de final del ciclo de vida (EOL).

Versión Fecha de lanzamiento Fecha de EOL
1.4 2020-12-17 2021-09-17
1.3 2020-07-30 2021-04-30
1.2 2020-04-30 2021-01-30
1.1 2020-01-27 2020-10-27